For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transfer

Transfer In Reject

post
/transfer/in/{shipment_id}/reject

Reject inbound diamonds.

Diamonds must not have been ACCEPTED in order to be rejected.

Path parameters
shipment_idstringRequired

ID of the shipment assigned by Tracr

Example: 5l0o4eixnuubtg51fouym73rnPattern: ^[a-z\d]{20,98}$
Bodyobject · DiamondIDOnly[]

An object which contains only a diamond_id field.

diamond_idstringRequiredExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
Responses
200

Successful Response

application/json

Returned by transfer/in/reject for each diamond.

diamond_idstringRequiredExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
statusstring · enumRequired

Represents the result of a transfer-in-reject operation.

Possible values:
post/transfer/in/{shipment_id}/reject

Transfer Out Cancel

post
/transfer/out/{shipment_id}/cancel

Cancel outbound diamonds preventing them from being accepted.

User initiated by the sender.

Diamonds must not have been ACCEPTED in order to be cancelled.

Path parameters
shipment_idstringRequired

ID of the shipment assigned by Tracr

Example: 5l0o4eixnuubtg51fouym73rnPattern: ^[a-z\d]{20,98}$
Bodyobject · DiamondIDOnly[]

An object which contains only a diamond_id field.

diamond_idstringRequiredExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
Responses
200

Successful Response

application/json

Returned by transfer/out/cancel for each diamond.

diamond_idstringRequiredExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
statusstring · enumRequired

Represents the result of a transfer-out-cancel operation.

Possible values:
post/transfer/out/{shipment_id}/cancel

Transfer In Accept

post
/v2/transfer/in/{shipment_id}/accept

Accept an inbound shipment of diamonds.

Path parameters
shipment_idstringRequired

ID of the shipment assigned by Tracr

Example: 5l0o4eixnuubtg51fouym73rnPattern: ^[a-z\d]{20,98}$
Body

A list of diamonds to accept for transfer.

Responses
200

Successful Response

application/json

Aggregated results of accepting diamonds for transfer.

post/v2/transfer/in/{shipment_id}/accept

Transfer In Accept All

post
/v2/transfer/in/{shipment_id}/accept/all

Accept all the diamonds in the inbound shipment.

Path parameters
shipment_idstringRequired

ID of the shipment assigned by Tracr

Example: 5l0o4eixnuubtg51fouym73rnPattern: ^[a-z\d]{20,98}$
Responses
200

Successful Response

application/json

Aggregated results of accepting diamonds for transfer.

post/v2/transfer/in/{shipment_id}/accept/all

Transfer In Reject All

post
/v2/transfer/in/{shipment_id}/reject/all

Reject inbound diamonds.

Diamonds must not have been ACCEPTED in order to be rejected.

Path parameters
shipment_idstringRequired

ID of the shipment assigned by Tracr

Example: 5l0o4eixnuubtg51fouym73rnPattern: ^[a-z\d]{20,98}$
Responses
200

Successful Response

application/json

Returned by transfer/in/reject for each diamond.

diamond_idstringRequiredExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
statusstring · enumRequired

Represents the result of a transfer-in-reject operation.

Possible values:
post/v2/transfer/in/{shipment_id}/reject/all

Transfer Out Start

post
/v2/transfer/out/start

Create a new outbound shipment for a given group of rough diamonds.

Body

V2 of TransferOutStartRequest model, with shipment_type

receiverstringRequiredPattern: ^https://api\..+\.tracr\.com$
shipment_namestringRequired
shipment_typestring · enumRequired

The different diamond lifecycle states that can be transferred (unique per shipment).

Possible values:
Responses
200

Successful Response

application/json

A response to a V2 transfer/out/start request.

or
post/v2/transfer/out/start

Transfer Out Cancel All

post
/v2/transfer/out/{shipment_id}/cancel/all

Cancel outbound diamonds preventing them from being accepted.

User initiated by the sender.

Diamonds must not have been ACCEPTED in order to be cancelled.

Path parameters
shipment_idstringRequired

ID of the shipment assigned by Tracr

Example: 5l0o4eixnuubtg51fouym73rnPattern: ^[a-z\d]{20,98}$
Responses
200

Successful Response

application/json

Returned by transfer/out/cancel for each diamond.

diamond_idstringRequiredExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
statusstring · enumRequired

Represents the result of a transfer-out-cancel operation.

Possible values:
post/v2/transfer/out/{shipment_id}/cancel/all

Last updated